Description

Starting with version 3.0 the "sticky" option doesn't work for me in Enlightenment 0.16.  I've never used the built in sticky option, I've

always used my window manager's sticky option, and it's worked for years.  Now NONE of the methods for making it sticky work,

niether e16's nor the one built into Audacious.

This has actually kept me from upgrading on my primary machine, it's a real deal breaker.  How could I help debug this?

History

#1 - December 25, 2011 02:11 - John Lindgren

- Category deleted (libaudgui)

It's not working properly for me in XFCE either (Audacious 3.2-devel).  Will look into it when I have a chance.

#2 - December 25, 2011 20:47 - John Lindgren

- File gdkdisplay-x11.c.diff added

Hi, the root of this problem is a bug in GDK (which I mistakenly reported against XFWM4 almost two years ago, see 

https://bugzilla.xfce.org/show_bug.cgi?id=6192).  GDK reports the sticky state of the window wrongly, and Audacious 3.1.1 makes the problem worse

by setting, redundantly, the incorrect state reported by GDK.  I have fixed the behavior on the Audacious side in this commit:

https://github.com/audacious-media-player/audacious-plugins/commit/655f053a81280b729c4a7fb67cb4b6e8f9c7d5fe

You will now be able to set the sticky state (either through the window manager or through Audacious) while Audacious is running, but the problem in

GDK remains and the state may not be saved and restored correctly when you restart Audacious.  I am attaching a patch against GDK, which I will

also forward to the GDK team.

#3 - December 25, 2011 20:50 - John Lindgren

- File deleted (gdkdisplay-x11.c.diff)

#4 - December 25, 2011 20:51 - John Lindgren

- File gdkdisplay-x11.c.diff added

Sorry, patch was incorrect.  Updating.

#5 - December 25, 2011 21:28 - John Lindgren

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=666842.
#6 - December 28, 2011 18:20 - John Lindgren

- Status changed from New to Closed

Fixed:

http://git.gnome.org/browse/gtk+/commit/?id=01320e5773768827b5754470d3ed52392151f67a

Files

gdkdisplay-x11.c.diff 698 BytesDecember 25, 2011 John Lindgren
